<?php
/**
 * Main LifterLMS plugin file
 *
 * @package LifterLMS/Main
 *
 * @since 1.0.0
 * @version 4.0.0
 *
 * Plugin Name: LifterLMS بهینه شده برای فارسی
 * Plugin URI: https://kasbonet.com/
 * Description: LifterLMS یک افزونه قدرتمند سیستم مدیریت یادگیری وردپرس است که ایجاد و فروش و محافظت از دوره های آنلاین و آموزش مبتنی بر وب سایتهای عضویت را آسان می کند.
 * Version: 5.1.2
 * Author: بهینه‌سازی توسط کسبُ‌نت
 * Author URI: https://kasbonet.com/
 * Text Domain: lifterlms
 * Domain Path: /languages
 * License: GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 * Requires at least: 5.4
 * Tested up to: 5.8
 * Requires PHP: 7.3
 *
 * * * * * * * * * * * * * * * * * * * * * *
 *                                         *
 * Reporting a Security Vulnerability      *
 *                                         *
 * Please disclose any security issues or  *
 * vulnerabilities to team@lifterlms.com   *
 *                                         *
 * See our full Security Policy at         *
 * https://lifterlms.com/security-policy   *
 *                                         *
 * * * * * * * * * * * * * * * * * * * * * *
 */

defined( 'ABSPATH' ) || exit;

// Autoloader.
require_once 'vendor/autoload.php';

if ( ! defined( 'LLMS_PLUGIN_FILE' ) ) {
	define( 'LLMS_PLUGIN_FILE', __FILE__ );
}

if ( ! defined( 'LLMS_PLUGIN_DIR' ) ) {
	define( 'LLMS_PLUGIN_DIR', dirname( __FILE__ ) . '/' );
}

if ( ! class_exists( 'LifterLMS' ) ) {
	require_once LLMS_PLUGIN_DIR . 'class-lifterlms.php';
}

/**
 * Allow usage of the deprecated `LLMS()` function.
 *
 * @deprecated 4.0.0 Function `LLMS()` is deprecated in favor of `llms()`.
 */
use function LLMS as llms;

/**
 * Returns the main instance of LifterLMS
 *
 * @since 4.0.0
 *
 * @return LifterLMS
 */
function llms() {
	return LifterLMS::instance();
}
return llms();
